%define module	Ima-DBI
%define name	perl-%{module}
%define version 0.35
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Database connection caching and organization
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source:		http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/%{module}-%{version}.tar.gz
Buildrequires:	perl-DBIx-ContextualFetch
Buildrequires:	perl-Class-Data-Inheritable
Buildrequires:  perl-DBI
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Ima::DBI attempts to organize and facilitate caching and more efficient use of
database connections and statement handles by storing DBI and SQL information
with your class (instead of as separate objects). This allows you to pass
around just one object without worrying about a trail of DBI handles behind it.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Ima
%{_mandir}/*/*





%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.35-3.mga3
+ Revision: 368700
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.35-2.mga1
+ Revision: 12102
- imported package perl-Ima-DBI

